@import "../abstracts/mixins";

.main-container {
  height: 100vh;
  width: 100vw;
  display: grid;
  @include lt-md {
    grid-template:
      [header] "header header header header header header" 5% [header]
      [menu] "main main main main main main" 90% [menu];
    grid-gap: 10px;
    .header {
      grid-area: header;
      width: 100%;
    }
    .menu {
      display: none;
    }
    .main {
      grid-area: main;
    }
    .right {
      display: none;
    }
    .footer {
      display: none;
    }
  }
  @include gt-sm {
    grid-template:
      [header] ". header header header header ." 5% [header]
      [menu] "menu main main main main right" 90% [right]
      [footer] "footer footer footer footer footer footer" 2% [footer];
    grid-gap: 10px;
    .header {
      grid-area: header;
      width: 100%;
    }
    .menu {
      grid-area: menu;
    }
    .main {
      grid-area: main;
    }
    .right {
      grid-area: right;
    }
    .footer {
      grid-area: footer;
    }
  }
}
